From: "Evan Teran" <evan.teran@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/vmware:master commit in: app-emulation/vmware-player/
Date: Wed, 12 Aug 2015 05:42:28 +0000 (UTC) [thread overview]
Message-ID: <1439358165.41a052f41c8a06d2a1690754385678993b4dc035.eteran@gentoo> (raw)
commit: 41a052f41c8a06d2a1690754385678993b4dc035
Author: Evan Teran <evan.teran <AT> gmail <DOT> com>
AuthorDate: Wed Aug 12 05:42:45 2015 +0000
Commit: Evan Teran <evan.teran <AT> gmail <DOT> com>
CommitDate: Wed Aug 12 05:42:45 2015 +0000
URL: https://gitweb.gentoo.org/proj/vmware.git/commit/?id=41a052f4
fixing issue from: https://github.com/gentoo/vmware/issues/7
Despite /etc/vmware/config telling it to look for the libs in /opt/vmware/lib, it still insisted in looking in
/usr/lib/vmware. So a symlink solves the issue fairly cleanly.
Also added a minor improvement to the build
Package-Manager: portage-2.2.20
app-emulation/vmware-player/vmware-player-7.1.0.2496824.ebuild | 5 ++++-
app-emulation/vmware-player/vmware-player-7.1.2.2780323.ebuild | 5 ++++-
2 files changed, 8 insertions(+), 2 deletions(-)
diff --git a/app-emulation/vmware-player/vmware-player-7.1.0.2496824.ebuild b/app-emulation/vmware-player/vmware-player-7.1.0.2496824.ebuild
index 0a7ea6a..7d271f1 100644
--- a/app-emulation/vmware-player/vmware-player-7.1.0.2496824.ebuild
+++ b/app-emulation/vmware-player/vmware-player-7.1.0.2496824.ebuild
@@ -134,6 +134,9 @@ src_install() {
dosym "${VM_INSTALL_DIR}"/lib/vmware/lib/libssl.so.0.9.8/libssl.so.0.9.8 \
"${VM_INSTALL_DIR}"/lib/vmware/lib/libvmwarebase.so.0/libssl.so.0.9.8
+ # https://github.com/gentoo/vmware/issues/7
+ dosym "${VM_INSTALL_DIR}"lib/vmware/ /usr/$(get_libdir)/vmware
+
# install the ancillaries
insinto /usr
doins -r share
@@ -203,7 +206,7 @@ src_install() {
local initscript="${T}/vmware.rc"
sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
- "${FILESDIR}/vmware-11.0.rc" > "${initscript}" || die
+ "${FILESDIR}/vmware-11.${PV_MINOR}.rc" > "${initscript}" || die
newinitd "${initscript}" vmware || die
# fill in variable placeholders
diff --git a/app-emulation/vmware-player/vmware-player-7.1.2.2780323.ebuild b/app-emulation/vmware-player/vmware-player-7.1.2.2780323.ebuild
index 3c04f5e..d72a167 100644
--- a/app-emulation/vmware-player/vmware-player-7.1.2.2780323.ebuild
+++ b/app-emulation/vmware-player/vmware-player-7.1.2.2780323.ebuild
@@ -136,6 +136,9 @@ src_install() {
dosym "${VM_INSTALL_DIR}"/lib/vmware/lib/libssl.so.0.9.8/libssl.so.0.9.8 \
"${VM_INSTALL_DIR}"/lib/vmware/lib/libvmwarebase.so.0/libssl.so.0.9.8
+ # https://github.com/gentoo/vmware/issues/7
+ dosym "${VM_INSTALL_DIR}"/lib/vmware/ /usr/$(get_libdir)/vmware
+
# install the ancillaries
insinto /usr
doins -r share
@@ -216,7 +219,7 @@ src_install() {
local initscript="${T}/vmware.rc"
sed -e "s:@@BINDIR@@:${VM_INSTALL_DIR}/bin:g" \
- "${FILESDIR}/vmware-11.0.rc" > "${initscript}" || die
+ "${FILESDIR}/vmware-11.${PV_MINOR}.rc" > "${initscript}" || die
newinitd "${initscript}" vmware || die
systemd_dounit "${FILESDIR}/vmware-usbarbitrator.service"
next reply other threads:[~2015-08-12 5:42 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-08-12 5:42 Evan Teran [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-04-26 22:20 [gentoo-commits] proj/vmware:master commit in: app-emulation/vmware-player/ Fabio Rossi
2016-04-03 13:23 Fabio Rossi
2016-03-20 18:06 Andreas Hüttel
2016-03-19 21:06 Andreas Hüttel
2016-03-19 20:45 Andreas Hüttel
2016-03-19 20:45 Andreas Hüttel
2015-09-12 20:18 Andreas Hüttel
2015-09-12 20:05 Andreas Hüttel
2015-09-12 20:05 Andreas Hüttel
2015-09-12 18:17 Andreas Hüttel
2015-09-08 20:17 Andreas Hüttel
2015-09-08 20:06 Andreas Hüttel
2015-09-05 12:56 Andreas Hüttel
2015-08-12 5:51 Evan Teran
2015-08-12 5:05 Evan Teran
2015-08-12 5:01 Evan Teran
2015-07-23 2:41 Evan Teran
2015-07-14 1:15 Evan Teran
2015-07-11 4:21 Evan Teran
2013-06-23 10:05 Andreas Hüttel
2013-06-22 22:41 Andreas Hüttel
2012-03-30 13:42 Vadim Kuznetsov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1439358165.41a052f41c8a06d2a1690754385678993b4dc035.eteran@gentoo \
--to=evan.teran@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox